Difference between revisions of "Fluent"

From UFRC
Jump to navigation Jump to search
 
(3 intermediate revisions by the same user not shown)
Line 5: Line 5:
 
<!--CONFIGURATION: OPTIONAL (|1}} means it's ON)-->
 
<!--CONFIGURATION: OPTIONAL (|1}} means it's ON)-->
 
|{{#vardefine:conf|}}          <!--CONFIGURATION-->
 
|{{#vardefine:conf|}}          <!--CONFIGURATION-->
|{{#vardefine:exe|}}            <!--ADDITIONAL INFO-->
+
|{{#vardefine:exe|1}}            <!--ADDITIONAL INFO-->
 
|{{#vardefine:pbs|}}            <!--PBS SCRIPTS-->
 
|{{#vardefine:pbs|}}            <!--PBS SCRIPTS-->
 
|{{#vardefine:policy|}}        <!--POLICY-->
 
|{{#vardefine:policy|}}        <!--POLICY-->
Line 19: Line 19:
  
 
ANSYS Fluent is a popular computational fluid dynamics application.
 
ANSYS Fluent is a popular computational fluid dynamics application.
 +
 
<!--Modules-->
 
<!--Modules-->
==Required Modules==
+
==Environment Modules==
===Parallel (MPI)===
+
Run <code>module spider {{#var:app}}</code> to find out what environment modules are available for this application.
<!--fluent contains an MPI version embedded within the installed software. UFRC has requirements for submitting fluent jobs depending on the version of fluent being run, different steps need to be taken to run fluent in parallel. -->
 
<!--==== fluent 14.5.7 ====
 
UFRC strongly advises using newer versions of fluent. If you need to use version 14.5.7, special steps must be taken to run in parallel. Jobs which will load this version of fluent must be submitted as whole node requests. The easiest way to do this is using the '-E' flag in your request. For example,
 
<source lang="bash">
 
#PBS -l nodes=2:ppn=4 -E
 
</source>
 
 
 
==== fluent >= 15.0 ====
 
 
 
 
 
For versions of fluent >= 15.0 all that is needed is to load a valid openmpi module prior to loading the fluent module. For example
 
-->
 
  
<source lang="bash">
+
==Running Fluent GUI==
module load intel/2016.0.109 openmpi/1.6.5 fluent/17.2
+
Fluent is available as an interactive application in OnDemand.
</source>
 
  
 
==System Variables==
 
==System Variables==
* HPC_{{#uppercase:{{#var:app}}}}_DIR
+
* HPC_{{uc:{{#var:app}}}}_DIR
* HPC_{{#uppercase:{{#var:app}}}}_BIN
+
* HPC_{{uc:{{#var:app}}}}_BIN
 
<!--Configuration-->
 
<!--Configuration-->
 
{{#if: {{#var: conf}}|==Configuration==
 
{{#if: {{#var: conf}}|==Configuration==

Latest revision as of 21:11, 2 August 2021

Description

fluent website  

ANSYS Fluent is a popular computational fluid dynamics application.

Environment Modules

Run module spider fluent to find out what environment modules are available for this application.

Running Fluent GUI

Fluent is available as an interactive application in OnDemand.

System Variables

  • HPC_FLUENT_DIR
  • HPC_FLUENT_BIN

Additional Information

WRITE_ADDITIONAL_INSTRUCTIONS_ON_RUNNING_THE_SOFTWARE_IF_NECESSARY



Citation

If you publish research that uses fluent, please refer to the ANSYS Citations web page.